Bug 435520 - yp_order always returns order 0
yp_order always returns order 0
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: glibc (Show other bugs)
4.6
All Linux
low Severity low
: rc
: ---
Assigned To: Jakub Jelinek
Brian Brock
:
Depends On: 435519
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-29 16:11 EST by Jeffrey Moyer
Modified: 2008-07-24 15:56 EDT (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2008-0716
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-24 15:56:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeffrey Moyer 2008-02-29 16:11:07 EST
+++ This bug was initially created as a clone of Bug #435519 +++

Description of problem:

int
yp_order (const char *indomain, const char *inmap, unsigned int *outorder)
{
...
  if (result == YPERR_SUCCESS)   <========
    return result;

  *outorder = resp.ordernum;
  xdr_free ((xdrproc_t) xdr_ypresp_order, (char *) &resp);

  return result;
}

That test should be !=.

Version-Release number of selected component (if applicable):
glibc-2.3.4-2.39

How reproducible:
100%

-- Additional comment from jmoyer@redhat.com on 2008-02-29 16:08 EST --
Created an attachment (id=296415)
fix yp_order to actually return the order of the map
Comment 1 Jeffrey Moyer 2008-03-04 13:50:26 EST
Upstream bug:
  http://sourceware.org/bugzilla/show_bug.cgi?id=5854

The patch was applied upstream.
Comment 2 RHEL Product and Program Management 2008-04-15 04:49:05 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 3 Jakub Jelinek 2008-04-15 07:28:21 EDT
In glibc-2.3.4-2.41.
Comment 8 errata-xmlrpc 2008-07-24 15:56:19 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0716.html

Note You need to log in before you can comment on or make changes to this bug.